Name:		gfxboot
Version:	4.5.21
Release:	1%{?dist}
Summary:	Tools to create graphical boot logos
Group:		System Environment/Base
License:	GPLv2+
URL:		http://en.opensuse.org/SDB:Gfxboot
# This is a SUSE built package, to get the tarball,
# download the SRPM and extract the tarball
# from openSUSE Factory: http://download.opensuse.org/tumbleweed/repo/src-oss/suse/src/
Source0:	%{name}-%{version}.tar.xz
Patch0:		gfxboot-3.3.18-fedora.patch
BuildRequires:	fdupes
BuildRequires:	nasm
BuildRequires:	xmlto
BuildRequires:	perl
BuildRequires:	perl-generators
BuildRequires:	git-core
BuildRequires:	fribidi
BuildRequires:	perl(Getopt::Long)
BuildRequires:	perl(Data::Dumper)
BuildRequires:	perl(HTML::Parser)
BuildRequires:	w3m
BuildRequires:  docbook-dtd412-xml
BuildRequires:	libX11-devel
BuildRequires:	freetype-devel
BuildRequires:	%{_bindir}/xsltproc
Requires:	coreutils
Requires:	cpio
Requires:	dosfstools
Requires:	mtools

ExclusiveArch:	%{ix86} x86_64

%description
gfxboot provides tools to create graphical boot logos, for grub, lilo
and syslinux. It supports arch-specific boot menus, advanced help
menus, multiple keymaps, animated images, and more graphical pretty
things.

%package        devel
Summary:        Tools for creating a graphical boot logo
Group:          System Environment/Base
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description	devel
Here you find the necessary programs to create your own graphical boot
logo. The logo can be used with grub, lilo or syslinux.

%prep
%setup -q
%autopatch -p1

%build
%make_build
# Parallel builds screw this up a lot
make doc

%install
%make_install THEMES=""
mkdir -p %{buildroot}/etc/bootsplash/themes
install -d -m 755 %{buildroot}%{_mandir}/man8
install -m 644 doc/gfxboot.8 %{buildroot}%{_mandir}/man8

# gfxboot-compile is used to build as non-root, move it out of /usr/sbin
install -d %{buildroot}%{_bindir}
# add adddir and keymapchars since they are used in mandriva-gfxboot-theme
# build system
cp %{_builddir}/%{name}-%{version}/bin/adddir %{buildroot}%{_bindir}/gfxboot-adddir
cp %{_builddir}/%{name}-%{version}/bin/keymapchars %{buildroot}%{_bindir}/gfxboot-keymapchars
mv %{buildroot}%{_sbindir}/gfxboot-compile %{buildroot}%{_bindir}/gfxboot-compile
mv %{buildroot}%{_sbindir}/gfxboot-font %{buildroot}%{_bindir}/gfxboot-font

%files
%license COPYING
%doc README.md
%{_sbindir}/gfxboot
%{_sbindir}/gfxtest
%{_mandir}/man8/*
%dir %{_sysconfdir}/bootsplash
%dir %{_sysconfdir}/bootsplash/themes

%files devel
%{_bindir}/gfxboot-compile
%{_bindir}/gfxboot-font
%{_bindir}/gfxboot-adddir
%{_bindir}/gfxboot-keymapchars
%doc doc/gfxboot.html
%doc doc/gfxboot.txt

%changelog
* Wed Jun 07 2017 Neal Gompa <ngompa13@gmail.com> - 4.5.21-1
- Update to 4.5.21
- Build Fedora package based on Mageia package

* Fri Aug 19 2016 David Walser <luigiwalser@mageia.org> 4.5.14-1.mga6
+ Revision: 1047105
- 4.5.14

* Tue Aug 09 2016 David Walser <luigiwalser@mageia.org> 4.5.13-1.mga6
+ Revision: 1045205
- 4.5.13
+ Thierry Vignaud <tv@mageia.org>
- explain where to get latest version

* Thu Feb 18 2016 Sysadmin Bot <umeabot@mageia.org> 4.5.7-2.mga6
+ Revision: 965799
- Mageia 6 Mass Rebuild

* Sun Jun 21 2015 David Walser <luigiwalser@mageia.org> 4.5.7-1.mga6
+ Revision: 837290
- 4.5.7

* Wed Oct 15 2014 Sysadmin Bot <umeabot@mageia.org> 4.5.6-2.mga5
+ Revision: 745463
- Second Mageia 5 Mass Rebuild

* Tue Oct 14 2014 David Walser <luigiwalser@mageia.org> 4.5.6-1.mga5
+ Revision: 738719
- 4.5.6

* Tue Sep 16 2014 Sysadmin Bot <umeabot@mageia.org> 4.5.4-2.mga5
+ Revision: 679555
- Mageia 5 Mass Rebuild

* Mon Sep 01 2014 David Walser <luigiwalser@mageia.org> 4.5.4-1.mga5
+ Revision: 670673
- 4.5.4

* Mon Aug 04 2014 David Walser <luigiwalser@mageia.org> 4.5.2-1.mga5
+ Revision: 659569
- 4.5.2
- update URL

* Fri Oct 18 2013 Sysadmin Bot <umeabot@mageia.org> 4.4.5-3.mga4
+ Revision: 504821
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 Sysadmin Bot <umeabot@mageia.org> 4.4.5-2.mga3
+ Revision: 351516
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 27 2011 Erwan VELU <erwan@mageia.org> 4.4.5-1.mga2
+ Revision: 149644
- This patch is no more needed
- 4.4.5
- 4.4.5 release

* Mon Feb 07 2011 D Morgan <dmorgan@mageia.org> 4.1.19-6.mga1
+ Revision: 48474
- imported package gfxboot

* Mon Dec 20 2010 Funda Wang <fwang@mandriva.org> 4.1.19-6mdv2011.0
+ Revision: 623263
- fix linkage

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuild

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 4.1.19-5mdv2010.1
+ Revision: 522725
- rebuilt for 2010.1

* Thu Sep 24 2009 Olivier Blin <oblin@mandriva.com> 4.1.19-4mdv2010.0
+ Revision: 448382
- build gfxboot on x86 only (from Arnaud Patard)

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 4.1.19-3mdv2010.0
+ Revision: 428508
- add missing BuildRequires
- rebuild
- add 2 binaries that were build but not installed, they are used by mandriva-gfxboot-theme build system

* Tue Jan 27 2009 Pixel <pixel@mandriva.com> 4.1.19-2mdv2009.1
+ Revision: 334055
- add require from gfxboot-devel on gfxboot (same version)

* Thu Jan 22 2009 Pixel <pixel@mandriva.com> 4.1.19-1mdv2009.1
+ Revision: 332569
- 4.1.19
- adapt spec (inspiration: SuSE's spec)

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 3.3.18-4mdv2009.0
+ Revision: 219552
- rebuild
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Sep 20 2007 Adam Williamson <awilliamson@mandriva.org> 3.3.18-2mdv2008.0
+ Revision: 91249
- rebuild for 2008
- new license policy
- slight spec clean


* Tue Dec 05 2006 Pixel <pixel@mandriva.com> 3.3.18-1mdv2007.0
+ Revision: 90945
- add BuildRequires freetype2-devel
- update mdv patch
- new release: 3.3.18
- update mdv patch
- getx11font is now mkblfont
- Import gfxboot

* Fri Jun 23 2006 Olivier Blin <oblin@mandriva.com> 3.2.27-2mdv2007.0
- Source1: add Suse theme as reference (from openSUSE package)
- Patch0: use "Mandriva Linux" as default product in help2txt
- use "Mandriva Linux <release>" as default product when building packaged theme

* Fri Jun 23 2006 Olivier Blin <oblin@mandriva.com> 3.2.27-1mdv2007.0
- initial Mandriva release

